TIX-VARS(8)

NAME
tix-vars - evaluate variables in port files

SYNOPSIS
tix-vars [-t] [-d default] file [variable ...]

DESCRIPTION
tix-vars evaluates the variables in the port(5) named by file or the standard input if file is ‘-’. If any variables are requested then their raw values are written as lines. Otherwise all the variables are written in a normalized form as lines with an equals sign ‘=’ separating the variable name and the raw value.

The options are as follows:

-d default
    Use the default value instead if the variable is unset.

-t  Test quietly whether the file is syntactically correct and whether the variables are set without writing their contents.

EXIT STATUS
tix-vars will exit 0 on success, exit 1 on a syntax error or if the requested variable is unset, and exit 2 otherwise.

SEE ALSO
port(5), tix-build(8), tix-port(8)

HISTORY
tix-vars originally appeared in Sortix 1.1.